import * as React from 'react';
export declare type Props = {
    /**
     * Value of the radio button
     */
    value: string;
    /**
     * Status of radio button.
     */
    status?: 'checked' | 'unchecked';
    /**
     * Whether radio is disabled.
     */
    disabled?: boolean;
    /**
     * Function to execute on press.
     */
    onPress?: () => void;
    /**
     * Custom color for unchecked radio.
     */
    uncheckedColor?: string;
    /**
     * Custom color for radio.
     */
    color?: string;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
    /**
     * testID to be used on tests.
     */
    testID?: string;
};
declare const _default: (React.ComponentClass<Pick<Props, "color" | "onPress" | "testID" | "disabled" | "value" | "status" | "uncheckedColor"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & ((props: Props) => JSX.Element)) | (React.FunctionComponent<Props> & ((props: Props) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<Props, "color" | "onPress" | "testID" | "disabled" | "value" | "status" | "uncheckedColor"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & ((props: Props) => JSX.Element)) | (React.FunctionComponent<Props> & ((props: Props) => JSX.Element)), {}>);
export default _default;
declare const RadioButtonWithTheme: (React.ComponentClass<Pick<Props, "color" | "onPress" | "testID" | "disabled" | "value" | "status" | "uncheckedColor"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & ((props: Props) => JSX.Element)) | (React.FunctionComponent<Props> & ((props: Props) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<Props, "color" | "onPress" | "testID" | "disabled" | "value" | "status" | "uncheckedColor"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & ((props: Props) => JSX.Element)) | (React.FunctionComponent<Props> & ((props: Props) => JSX.Element)), {}>);
export { RadioButtonWithTheme as RadioButton };
